Skip to main content

Update Application: ResMan

PUThttps://api.propexo.com/v1/applications/resman/:application_id

Update Application: ResMan. Note: When reading in the updated application we cannot filter by the application_id, so we must pull in all residents and applicants to save the newly updated application.This may result in an increase in the total number of records processed

InterfaceMethod
Lead Management/MITS/PostLeadManagement4_0
Lease Application/MITS/PostLeaseApplication3_0

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

application_id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    applicant_idstringrequired

    The Propexo unique identifier for the applicant

    unit_idstringrequired

    The Propexo unique identifier for the unit

    lead_source_idstringrequired

    The Propexo unique identifier for the lead source

    employee_idstringrequired

    The Propexo unique identifier for the employee

    application_datestringrequired

    The application date associated with the applicant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    start_datestringrequired

    The start date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestringrequired

    The end date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    statusstringrequired

    The status associated with the application

    Show 5 enum values
    PENDINGAPPROVEDCANCELEDDENIEDSIGNED
    first_namestringrequired

    The first name associated with the applicant

    last_namestringrequired

    The last name associated with the applicant

    email_1string

    The primary email address associated with the applicant

    phone_1string

    Primary phone number associated with the applicant

    phone_1_typestring

    Type of the primary phone number

    Show 4 enum values
    FAXHOMEMOBILEWORK
    phone_2string

    Secondary phone number associated with the applicant

    phone_2_typestring

    Type of the secondary phone number

    Show 4 enum values
    FAXHOMEMOBILEWORK
    date_of_birthstring

    The date of birth associated with the applicant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    address_1string

    The first address line associated with the applicant

    address_2string

    The second address line associated with the applicant

    citystring

    The city associated with the applicant

    statestring

    The state associated with the applicant

    zipstring

    The zip code associated with the applicant

    notesstring

    Notes associated with the applicant

    move_in_datestring

    The move-in date associated with the applicant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    rent_amount_in_centsinteger

    The rent amount in cents for the applicant

    Possible values: >= 0

    desired_lease_term_in_monthsnumber

    The amount of months for the lease term

    Possible values: >= 0

    floor_plan_idstring

    The Propexo unique identifier for the floor plan

    other_occupants object[]

    A list of other occupants for the application. Note: Only new occupants should be passed in, existing occupants cannot be updated

  • Array [
  • first_namestringrequired

    The first name associated with the occupant

    last_namestringrequired

    The last name associated with the occupant

    email_1string

    The primary email address associated with the occupant

    phone_1string

    Primary phone number associated with the occupant

    phone_1_typestring

    Type of the primary phone number

    Show 4 enum values
    FAXHOMEMOBILEWORK
    phone_2string

    Secondary phone number associated with the occupant

    phone_2_typestring

    Type of the secondary phone number

    Show 4 enum values
    FAXHOMEMOBILEWORK
    address_1string

    The first address line associated with the occupant

    address_2string

    The second address line associated with the occupant

    citystring

    The city associated with the occupant

    statestring

    The state associated with the occupant

    zipstring

    The zip code associated with the occupant

    date_of_birthstring

    The date of birth associated with the occupant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    move_in_datestring

    The move-in date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    rent_amount_in_centsinteger

    The market rent amount in cents for the lease

    Possible values: >= 0

  • ]
  • emergency_contacts object[]

    A list of emergency contacts for the applicant. Note: This will only be added to the primary applicant on the application.

  • Array [
  • first_namestringrequired

    The first name of the emergency contact

    last_namestringrequired

    The last name of the emergency contact

    relationshipstringrequired

    The relationship of the emergency contact to the applicant

    address_1string

    The first line of the address of the emergency contact

    citystring

    The city of the address of the emergency contact

    statestring

    The state of the address of the emergency contact

    zipstring

    The zip code of the address of the emergency contact

    countrystring

    The country of the address of the emergency contact

    phone_1string

    The phone number of the emergency contact

  • ]
  • employment_history object[]

    The employment history of the applicant. Note: This will only be added to the primary applicant on the application. Only entries with both income_in_cents and frequency will be included.

  • Array [
  • namestringrequired

    The name of the employer

    income_in_centsintegerrequired

    The income of the applicant at this employer in cents

    Possible values: >= 0

    frequencystringrequired

    The frequency of the income.

    Show 5 enum values
    WEEKLYBI_WEEKLYSEMI_MONTHLYMONTHLYYEARLY
    start_datestringrequired

    The start date of the applicant's employment at this employer

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring

    The end date of the applicant's employment at this employer

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    positionstring

    The position held at this employer, or the job description of the applicant

    address_1string

    The first line of the address of the employer

    citystring

    The city of the address of the employer

    statestring

    The state of the address of the employer

    zipstring

    The zip code of the address of the employer

    countrystring

    The country of the address of the employer

    supervisor_first_namestring

    The first name of the applicant's supervisor at this employer

    supervisor_last_namestring

    The last name of the applicant's supervisor at this employer

    supervisor_phonestring

    The phone number of the applicant's supervisor

  • ]
  • vehicles object[]

    A list of vehicles for the application

  • Array [
  • makestringrequired

    The make of the vehicle

    modelstringrequired

    The model of the vehicle

    colorstringrequired

    The color of the vehicle

    license_plate_numberstringrequired

    The license plate number of the vehicle

    license_plate_statestringrequired

    The issuing state of the license plate

    permit_numberstring

    The permit number of the vehicle

  • ]
  • pets object[]

    A list of applicant pets

  • Array [
  • typestringrequired

    The type associated with the applicant pet. Note: This must match one of the pet types from the pick list in Resman

    namestringrequired

    The name associated with the applicant pet

    weight_in_poundsintegerrequired

    The weight in pounds of the applicant pet

    Possible values: >= 0

  • ]

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    application_idstringrequired

    The Propexo unique identifier for the application

    applicant_idstringrequired

    The Propexo unique identifier for the applicant

    unit_idstringrequired

    The Propexo unique identifier for the unit

    lead_source_idstringrequired

    The Propexo unique identifier for the lead source

    employee_idstringrequired

    The Propexo unique identifier for the employee

    application_datestringrequired

    The application date associated with the applicant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    start_datestringrequired

    The start date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestringrequired

    The end date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    statusstringrequired

    The status associated with the application

    Show 5 enum values
    PENDINGAPPROVEDCANCELEDDENIEDSIGNED
    first_namestringrequired

    The first name associated with the applicant

    last_namestringrequired

    The last name associated with the applicant

    email_1string

    The primary email address associated with the applicant

    phone_1string

    Primary phone number associated with the applicant

    phone_1_typestring

    Type of the primary phone number

    Show 4 enum values
    FAXHOMEMOBILEWORK
    phone_2string

    Secondary phone number associated with the applicant

    phone_2_typestring

    Type of the secondary phone number

    Show 4 enum values
    FAXHOMEMOBILEWORK
    date_of_birthstring

    The date of birth associated with the applicant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    address_1string

    The first address line associated with the applicant

    address_2string

    The second address line associated with the applicant

    citystring

    The city associated with the applicant

    statestring

    The state associated with the applicant

    zipstring

    The zip code associated with the applicant

    notesstring

    Notes associated with the applicant

    move_in_datestring

    The move-in date associated with the applicant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    rent_amount_in_centsinteger

    The rent amount in cents for the applicant

    Possible values: >= 0

    desired_lease_term_in_monthsnumber

    The amount of months for the lease term

    Possible values: >= 0

    floor_plan_idstring

    The Propexo unique identifier for the floor plan

    other_occupants object[]
  • Array [
  • first_namestringrequired

    The first name associated with the occupant

    last_namestringrequired

    The last name associated with the occupant

    email_1string

    The primary email address associated with the occupant

    phone_1string

    Primary phone number associated with the occupant

    phone_1_typestring

    Type of the primary phone number

    Show 4 enum values
    FAXHOMEMOBILEWORK
    phone_2string

    Secondary phone number associated with the occupant

    phone_2_typestring

    Type of the secondary phone number

    Show 4 enum values
    FAXHOMEMOBILEWORK
    address_1string

    The first address line associated with the occupant

    address_2string

    The second address line associated with the occupant

    citystring

    The city associated with the occupant

    statestring

    The state associated with the occupant

    zipstring

    The zip code associated with the occupant

    date_of_birthstring

    The date of birth associated with the occupant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    move_in_datestring

    The move-in date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    rent_amount_in_centsinteger

    The market rent amount in cents for the lease

    Possible values: >= 0

  • ]
  • emergency_contacts object[]

    A list of emergency contacts for the applicant. Note: This will only be added to the primary applicant on the application.

  • Array [
  • first_namestringrequired

    The first name of the emergency contact

    last_namestringrequired

    The last name of the emergency contact

    relationshipstringrequired

    The relationship of the emergency contact to the applicant

    address_1string

    The first line of the address of the emergency contact

    citystring

    The city of the address of the emergency contact

    statestring

    The state of the address of the emergency contact

    zipstring

    The zip code of the address of the emergency contact

    countrystring

    The country of the address of the emergency contact

    phone_1string

    The phone number of the emergency contact

  • ]
  • employment_history object[]

    The employment history of the applicant. Note: This will only be added to the primary applicant on the application. Only entries with both income_in_cents and frequency will be included.

  • Array [
  • namestringrequired

    The name of the employer

    income_in_centsintegerrequired

    The income of the applicant at this employer in cents

    Possible values: >= 0

    frequencystringrequired

    The frequency of the income.

    Show 5 enum values
    WEEKLYBI_WEEKLYSEMI_MONTHLYMONTHLYYEARLY
    start_datestringrequired

    The start date of the applicant's employment at this employer

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring

    The end date of the applicant's employment at this employer

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    positionstring

    The position held at this employer, or the job description of the applicant

    address_1string

    The first line of the address of the employer

    citystring

    The city of the address of the employer

    statestring

    The state of the address of the employer

    zipstring

    The zip code of the address of the employer

    countrystring

    The country of the address of the employer

    supervisor_first_namestring

    The first name of the applicant's supervisor at this employer

    supervisor_last_namestring

    The last name of the applicant's supervisor at this employer

    supervisor_phonestring

    The phone number of the applicant's supervisor

  • ]
  • vehicles object[]

    A list of vehicles for the application

  • Array [
  • makestringrequired

    The make of the vehicle

    modelstringrequired

    The model of the vehicle

    colorstringrequired

    The color of the vehicle

    license_plate_numberstringrequired

    The license plate number of the vehicle

    license_plate_statestringrequired

    The issuing state of the license plate

    permit_numberstring

    The permit number of the vehicle

  • ]
  • pets object[]

    A list of applicant pets

  • Array [
  • typestringrequired

    The type associated with the applicant pet. Note: This must match one of the pet types from the pick list in Resman

    namestringrequired

    The name associated with the applicant pet

    weight_in_poundsintegerrequired

    The weight in pounds of the applicant pet

    Possible values: >= 0

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/applications/resman/:application_id
curl -X PUT https://api.propexo.com/v1/applications/resman/:application_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"applicant_id": "string",
"unit_id": "string",
"lead_source_id": "string",
"employee_id": "string",
"application_date": "2024-07-29T15:51:28.071Z",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"status": "PENDING",
"first_name": "string",
"last_name": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"application_id": "string",
"applicant_id": "string",
"unit_id": "string",
"lead_source_id": "string",
"employee_id": "string",
"application_date": "2024-07-29T15:51:28.071Z",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"status": "PENDING",
"first_name": "string",
"last_name": "string",
"email_1": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"notes": "string",
"move_in_date": "2024-07-29T15:51:28.071Z",
"rent_amount_in_cents": 0,
"desired_lease_term_in_months": 0,
"floor_plan_id": "string",
"other_occupants": [
{
"first_name": "string",
"last_name": "string",
"email_1": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"move_in_date": "2024-07-29T15:51:28.071Z",
"rent_amount_in_cents": 0
}
],
"emergency_contacts": [
{
"first_name": "string",
"last_name": "string",
"relationship": "string",
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"phone_1": "string"
}
],
"employment_history": [
{
"name": "string",
"income_in_cents": 0,
"frequency": "WEEKLY",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"position": "string",
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"supervisor_first_name": "string",
"supervisor_last_name": "string",
"supervisor_phone": "string"
}
],
"vehicles": [
{
"make": "string",
"model": "string",
"color": "string",
"license_plate_number": "string",
"license_plate_state": "string",
"permit_number": "string"
}
],
"pets": [
{
"type": "string",
"name": "string",
"weight_in_pounds": 0
}
]
}
}